OMAP54XX_SMP: Added OMAP5 SMP Platform support to Linux build, removed OMAP4.
authorG Anthony <a0783926@ti.com>
Tue, 12 Mar 2013 23:16:59 +0000 (16:16 -0700)
committerChris Ring <cring@ti.com>
Wed, 13 Mar 2013 15:49:40 +0000 (08:49 -0700)
This includes adding the OMAP5 SMP _MultiProc_cfg, and the platform
independent ping_rpmsg test.

Signed-off-by: G Anthony <a0783926@ti.com>
13 files changed:
Makefile.in
configure
configure.ac
linux/etc/Makefile.in
linux/src/api/Makefile.in
linux/src/daemon/Makefile.am
linux/src/daemon/Makefile.in
linux/src/family/Makefile.am
linux/src/family/Makefile.in
linux/src/family/SystemCfg_omap54xx_smp.c [new file with mode: 0644]
linux/src/tests/Makefile.am
linux/src/tests/Makefile.in
linux/src/utils/Makefile.in

index 28664b534cb0b7a16b200cb196a00d5d8ab07dd3..e44aa2d519ff916d1268627db02570c3d9bb5515 100644 (file)
@@ -129,8 +129,8 @@ MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
 OBJEXT = @OBJEXT@
-OMAP4430_FALSE = @OMAP4430_FALSE@
-OMAP4430_TRUE = @OMAP4430_TRUE@
+OMAP54XX_SMP_FALSE = @OMAP54XX_SMP_FALSE@
+OMAP54XX_SMP_TRUE = @OMAP54XX_SMP_TRUE@
 OMAPL138_FALSE = @OMAPL138_FALSE@
 OMAPL138_TRUE = @OMAPL138_TRUE@
 PACKAGE = @PACKAGE@
index fa87b3f7a663c7a6078fb145207560b355f5ee5c..00a9561f3dde91b23cdb596c6a1d78c797f209a4 100755 (executable)
--- a/configure
+++ b/configure
@@ -461,7 +461,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL AM_CFLAGS AM_LDFLAGS PLATFORM CMEM_INSTALL_DIR OMAPL138_TRUE OMAPL138_FALSE OMAP4430_TRUE OMAP4430_FALSE TCI6614_TRUE TCI6614_FALSE TCI6638_TRUE TCI6638_FALSE CMEM_TRUE CMEM_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL AM_CFLAGS AM_LDFLAGS PLATFORM CMEM_INSTALL_DIR OMAPL138_TRUE OMAPL138_FALSE TCI6614_TRUE TCI6614_FALSE TCI6638_TRUE TCI6638_FALSE OMAP54XX_SMP_TRUE OMAP54XX_SMP_FALSE CMEM_TRUE CMEM_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1055,8 +1055,9 @@ Some influential environment variables:
   CXX         C++ compiler command
   CXXFLAGS    C++ compiler flags
   CXXCPP      C++ preprocessor
-  PLATFORM    Platform to build. Options are: 'omapl138' 'omap4330' 'tci6614'
-              and 'tci6638'. If not defined all platforms will be built.
+  PLATFORM    Platform to build. Options are: 'omapl138' 'omap54xx_smp'
+              'tci6614' and 'tci6638'. If not defined all platforms will be
+              built.
   CMEM_INSTALL_DIR
               Installation path directory to the CMEM libraries
 
@@ -3704,7 +3705,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3707 "configure"' > conftest.$ac_ext
+  echo '#line 3708 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6129,11 +6130,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6132: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6133: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6136: \$? = $ac_status" >&5
+   echo "$as_me:6137: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6397,11 +6398,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6400: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6401: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6404: \$? = $ac_status" >&5
+   echo "$as_me:6405: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6501,11 +6502,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6504: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6505: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6508: \$? = $ac_status" >&5
+   echo "$as_me:6509: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8846,7 +8847,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8849 "configure"
+#line 8850 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8946,7 +8947,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8949 "configure"
+#line 8950 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11286,11 +11287,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11289: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11290: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11293: \$? = $ac_status" >&5
+   echo "$as_me:11294: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11390,11 +11391,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11393: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11394: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11397: \$? = $ac_status" >&5
+   echo "$as_me:11398: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12697,11 +12698,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12700: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12701: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12704: \$? = $ac_status" >&5
+   echo "$as_me:12705: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12965,11 +12966,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12968: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12969: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12972: \$? = $ac_status" >&5
+   echo "$as_me:12973: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13069,11 +13070,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13072: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13073: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13076: \$? = $ac_status" >&5
+   echo "$as_me:13077: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16771,15 +16772,15 @@ if test "x$PLATFORM" = "xomapl138"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
-  if test "x$PLATFORM" = "xomap4430"; then
+  if test "x$PLATFORM" = "xtci6614"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
-  if test "x$PLATFORM" = "xtci6614"; then
+  if test "x$PLATFORM" = "xtci6638"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
-  if test "x$PLATFORM" = "xtci6638"; then
+  if test "x$PLATFORM" = "xomap54xx_smp"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
 
 
 
-if test "x$PLATFORM" = "xomap4430"; then
-  OMAP4430_TRUE=
-  OMAP4430_FALSE='#'
-else
-  OMAP4430_TRUE='#'
-  OMAP4430_FALSE=
-fi
-
-
-
 if test "x$PLATFORM" = "xtci6614"; then
   TCI6614_TRUE=
   TCI6614_FALSE='#'
 
 
 
+if test "x$PLATFORM" = "xomap54xx_smp"; then
+  OMAP54XX_SMP_TRUE=
+  OMAP54XX_SMP_FALSE='#'
+else
+  OMAP54XX_SMP_TRUE='#'
+  OMAP54XX_SMP_FALSE=
+fi
+
+
 
 if test "x$CMEM_INSTALL_DIR" != "x"; then
   CMEM_TRUE=
@@ -17039,13 +17039,6 @@ echo "$as_me: error: conditional \"OMAPL138\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
-if test -z "${OMAP4430_TRUE}" && test -z "${OMAP4430_FALSE}"; then
-  { { echo "$as_me:$LINENO: error: conditional \"OMAP4430\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"OMAP4430\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
-   { (exit 1); exit 1; }; }
-fi
 if test -z "${TCI6614_TRUE}" && test -z "${TCI6614_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"TCI6614\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -17060,6 +17053,13 @@ echo "$as_me: error: conditional \"TCI6638\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${OMAP54XX_SMP_TRUE}" && test -z "${OMAP54XX_SMP_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"OMAP54XX_SMP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"OMAP54XX_SMP\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${CMEM_TRUE}" && test -z "${CMEM_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"CMEM\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -17670,12 +17670,12 @@ s,@PLATFORM@,$PLATFORM,;t t
 s,@CMEM_INSTALL_DIR@,$CMEM_INSTALL_DIR,;t t
 s,@OMAPL138_TRUE@,$OMAPL138_TRUE,;t t
 s,@OMAPL138_FALSE@,$OMAPL138_FALSE,;t t
-s,@OMAP4430_TRUE@,$OMAP4430_TRUE,;t t
-s,@OMAP4430_FALSE@,$OMAP4430_FALSE,;t t
 s,@TCI6614_TRUE@,$TCI6614_TRUE,;t t
 s,@TCI6614_FALSE@,$TCI6614_FALSE,;t t
 s,@TCI6638_TRUE@,$TCI6638_TRUE,;t t
 s,@TCI6638_FALSE@,$TCI6638_FALSE,;t t
+s,@OMAP54XX_SMP_TRUE@,$OMAP54XX_SMP_TRUE,;t t
+s,@OMAP54XX_SMP_FALSE@,$OMAP54XX_SMP_FALSE,;t t
 s,@CMEM_TRUE@,$CMEM_TRUE,;t t
 s,@CMEM_FALSE@,$CMEM_FALSE,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
index 99672a430a08ab7ad23a7e0fd5d92f128572f0a2..8756d534b15359275ba339013224ffde213bd15e 100644 (file)
@@ -66,18 +66,18 @@ AC_SUBST([AM_CFLAGS])
 AC_SUBST([AM_LDFLAGS])
 
 # Add config variables/options and check them
-AC_ARG_VAR(PLATFORM, Platform to build. Options are: 'omapl138' 'omap4330' 'tci6614' and 'tci6638'. If not defined all platforms will be built.)
+AC_ARG_VAR(PLATFORM, Platform to build. Options are: 'omapl138' 'omap54xx_smp' 'tci6614' and 'tci6638'. If not defined all platforms will be built.)
 AC_ARG_VAR(CMEM_INSTALL_DIR, Installation path directory to the CMEM libraries)
 
 # Test platform variable for setting
 AS_IF([test "x$PLATFORM" = "xomapl138"],
-  [AC_MSG_NOTICE([PLATFORM is set to ${PLATFORM}])],
-  [AS_IF([test "x$PLATFORM" = "xomap4430"],
   [AC_MSG_NOTICE([PLATFORM is set to ${PLATFORM}])],
   [AS_IF([test "x$PLATFORM" = "xtci6614"],
   [AC_MSG_NOTICE([PLATFORM is set to ${PLATFORM}])],
   [AS_IF([test "x$PLATFORM" = "xtci6638"],
   [AC_MSG_NOTICE([PLATFORM is set to ${PLATFORM}])],
+  [AS_IF([test "x$PLATFORM" = "xomap54xx_smp"],
+  [AC_MSG_NOTICE([PLATFORM is set to ${PLATFORM}])],
   [AS_IF([test "x$PLATFORM" = "x"],
   [AC_MSG_NOTICE([PLATFORM is not set. All supported platforms will be built ....])],
   [AC_MSG_ERROR([PLATFORM is set to "${PLATFORM}": run ./configure --help for available PLATFORM options])])])])])])
@@ -88,10 +88,9 @@ AC_SUBST([CMEM_INSTALL_DIR])
 
 # Define specific variables to be used in Makefile.am
 AM_CONDITIONAL([OMAPL138], [test "x$PLATFORM" = "xomapl138"]) 
-AM_CONDITIONAL([OMAP4430], [test "x$PLATFORM" = "xomap4430"]) 
 AM_CONDITIONAL([TCI6614], [test "x$PLATFORM" = "xtci6614"]) 
 AM_CONDITIONAL([TCI6638], [test "x$PLATFORM" = "xtci6638"]) 
-
+AM_CONDITIONAL([OMAP54XX_SMP], [test "x$PLATFORM" = "xomap54xx_smp"])
 AM_CONDITIONAL([CMEM], [test "x$CMEM_INSTALL_DIR" != "x"]) 
 
 # Generate Makefile(s)
index b397cd907380f4bea3f9d0a93ac9198c7b0bbe5c..ad29aba5a4b8b5deafcc0ce14d883b9853fac875 100644 (file)
@@ -95,8 +95,8 @@ MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
 OBJEXT = @OBJEXT@
-OMAP4430_FALSE = @OMAP4430_FALSE@
-OMAP4430_TRUE = @OMAP4430_TRUE@
+OMAP54XX_SMP_FALSE = @OMAP54XX_SMP_FALSE@
+OMAP54XX_SMP_TRUE = @OMAP54XX_SMP_TRUE@
 OMAPL138_FALSE = @OMAPL138_FALSE@
 OMAPL138_TRUE = @OMAPL138_TRUE@
 PACKAGE = @PACKAGE@
index e951770bc2719eda2993854e6cfa9a3f014fbf24..3abb39e321d6fab44206e048b5c318c655d811ed 100644 (file)
@@ -129,8 +129,8 @@ MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
 OBJEXT = @OBJEXT@
-OMAP4430_FALSE = @OMAP4430_FALSE@
-OMAP4430_TRUE = @OMAP4430_TRUE@
+OMAP54XX_SMP_FALSE = @OMAP54XX_SMP_FALSE@
+OMAP54XX_SMP_TRUE = @OMAP54XX_SMP_TRUE@
 OMAPL138_FALSE = @OMAPL138_FALSE@
 OMAPL138_TRUE = @OMAPL138_TRUE@
 PACKAGE = @PACKAGE@
index f7ba3a353623a7d79ee2adf95b1c1e8be3fe74b9..20c341317184ed329ee194c5ab47b8f0e70a6e57 100644 (file)
@@ -42,8 +42,8 @@ AM_CFLAGS = -I$(top_srcdir)/linux/include -I$(top_srcdir)/packages \
 # the program to build (the names of the final binaries)
 bin_PROGRAMS =
 
-if OMAP4430
-  bin_PROGRAMS += lad_omap4430
+if OMAP54XX_SMP
+  bin_PROGRAMS += lad_omap54xx_smp
 else
 if OMAPL138
   bin_PROGRAMS += lad_omapl138
@@ -54,7 +54,7 @@ else
 if TCI6638
   bin_PROGRAMS += lad_tci6638
 else
-  bin_PROGRAMS += lad_omap4430 lad_omapl138 lad_tci6614 lad_tci6638
+  bin_PROGRAMS += lad_omap54xx_smp lad_omapl138 lad_tci6614 lad_tci6638
 endif
 endif
 endif
@@ -78,7 +78,7 @@ common_sources = \
                 $(top_srcdir)/packages/ti/ipc/MultiProc.h
 
 # list of sources for the 'lad' binary and to add to the source distribution
-lad_omap4430_SOURCES = $(common_sources)
+lad_omap54xx_smp_SOURCES = $(common_sources)
 lad_omapl138_SOURCES = $(common_sources)
 lad_tci6614_SOURCES = $(common_sources)
 lad_tci6638_SOURCES = $(common_sources)
@@ -87,8 +87,8 @@ common_libraries = -lpthread $(top_builddir)/linux/src/api/libtiipc.la \
                 $(top_builddir)/linux/src/utils/libtiipcutils.la
 
 # the additional libraries needed to link program
-lad_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+lad_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
                 $(AM_LDFLAGS)
 lad_omapl138_LDADD = $(common_libraries) \
                 $(top_builddir)/linux/src/family/libtiipccfg_omapl138.la \
index 466d6cdf3572e529e78cbfddc80a741e9c026cd1..16123457dce36da1980071dd908d28390ea29604 100644 (file)
@@ -38,11 +38,11 @@ build_triplet = @build@
 host_triplet = @host@
 bin_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
        $(am__EXEEXT_4) $(am__EXEEXT_5)
-@OMAP4430_TRUE@am__append_1 = lad_omap4430
-@OMAP4430_FALSE@@OMAPL138_TRUE@am__append_2 = lad_omapl138
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_3 = lad_tci6614
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__append_4 = lad_tci6638
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__append_5 = lad_omap4430 lad_omapl138 lad_tci6614 lad_tci6638
+@OMAP54XX_SMP_TRUE@am__append_1 = lad_omap54xx_smp
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_2 = lad_omapl138
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_3 = lad_tci6614
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__append_4 = lad_tci6638
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__append_5 = lad_omap54xx_smp lad_omapl138 lad_tci6614 lad_tci6638
 subdir = linux/src/daemon
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -51,26 +51,27 @@ am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(install_sh) -d
 CONFIG_CLEAN_FILES =
-@OMAP4430_TRUE@am__EXEEXT_1 = lad_omap4430$(EXEEXT)
-@OMAP4430_FALSE@@OMAPL138_TRUE@am__EXEEXT_2 = lad_omapl138$(EXEEXT)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__EXEEXT_3 = lad_tci6614$(EXEEXT)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__EXEEXT_4 = lad_tci6638$(EXEEXT)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__EXEEXT_5 = lad_omap4430$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ lad_omapl138$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ lad_tci6614$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ lad_tci6638$(EXEEXT)
+@OMAP54XX_SMP_TRUE@am__EXEEXT_1 = lad_omap54xx_smp$(EXEEXT)
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__EXEEXT_2 =  \
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@    lad_omapl138$(EXEEXT)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__EXEEXT_3 = lad_tci6614$(EXEEXT)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__EXEEXT_4 = lad_tci6638$(EXEEXT)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__EXEEXT_5 = lad_omap54xx_smp$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     lad_omapl138$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     lad_tci6614$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     lad_tci6638$(EXEEXT)
 am__installdirs = "$(DESTDIR)$(bindir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
 am__objects_1 = lad.$(OBJEXT) MessageQ_daemon.$(OBJEXT) \
        NameServer_daemon.$(OBJEXT)
-am_lad_omap4430_OBJECTS = $(am__objects_1)
-lad_omap4430_OBJECTS = $(am_lad_omap4430_OBJECTS)
+am_lad_omap54xx_smp_OBJECTS = $(am__objects_1)
+lad_omap54xx_smp_OBJECTS = $(am_lad_omap54xx_smp_OBJECTS)
 am__DEPENDENCIES_1 = $(top_builddir)/linux/src/api/libtiipc.la \
        $(top_builddir)/linux/src/utils/libtiipcutils.la
 am__DEPENDENCIES_2 =
-lad_omap4430_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-       $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+lad_omap54xx_smp_DEPENDENCIES = $(am__DEPENDENCIES_1) \
+       $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
        $(am__DEPENDENCIES_2)
 am_lad_omapl138_OBJECTS = $(am__objects_1)
 lad_omapl138_OBJECTS = $(am_lad_omapl138_OBJECTS)
@@ -98,9 +99,9 @@ LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
        $(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(lad_omap4430_SOURCES) $(lad_omapl138_SOURCES) \
+SOURCES = $(lad_omap54xx_smp_SOURCES) $(lad_omapl138_SOURCES) \
        $(lad_tci6614_SOURCES) $(lad_tci6638_SOURCES)
-DIST_SOURCES = $(lad_omap4430_SOURCES) $(lad_omapl138_SOURCES) \
+DIST_SOURCES = $(lad_omap54xx_smp_SOURCES) $(lad_omapl138_SOURCES) \
        $(lad_tci6614_SOURCES) $(lad_tci6638_SOURCES)
 ETAGS = etags
 CTAGS = ctags
@@ -156,8 +157,8 @@ MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
 OBJEXT = @OBJEXT@
-OMAP4430_FALSE = @OMAP4430_FALSE@
-OMAP4430_TRUE = @OMAP4430_TRUE@
+OMAP54XX_SMP_FALSE = @OMAP54XX_SMP_FALSE@
+OMAP54XX_SMP_TRUE = @OMAP54XX_SMP_TRUE@
 OMAPL138_FALSE = @OMAPL138_FALSE@
 OMAPL138_TRUE = @OMAPL138_TRUE@
 PACKAGE = @PACKAGE@
@@ -238,7 +239,7 @@ common_sources = \
 
 
 # list of sources for the 'lad' binary and to add to the source distribution
-lad_omap4430_SOURCES = $(common_sources)
+lad_omap54xx_smp_SOURCES = $(common_sources)
 lad_omapl138_SOURCES = $(common_sources)
 lad_tci6614_SOURCES = $(common_sources)
 lad_tci6638_SOURCES = $(common_sources)
@@ -247,8 +248,8 @@ common_libraries = -lpthread $(top_builddir)/linux/src/api/libtiipc.la \
 
 
 # the additional libraries needed to link program
-lad_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+lad_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
                 $(AM_LDFLAGS)
 
 lad_omapl138_LDADD = $(common_libraries) \
@@ -324,9 +325,9 @@ clean-binPROGRAMS:
          echo " rm -f $$p $$f"; \
          rm -f $$p $$f ; \
        done
-lad_omap4430$(EXEEXT): $(lad_omap4430_OBJECTS) $(lad_omap4430_DEPENDENCIES) 
-       @rm -f lad_omap4430$(EXEEXT)
-       $(LINK) $(lad_omap4430_LDFLAGS) $(lad_omap4430_OBJECTS) $(lad_omap4430_LDADD) $(LIBS)
+lad_omap54xx_smp$(EXEEXT): $(lad_omap54xx_smp_OBJECTS) $(lad_omap54xx_smp_DEPENDENCIES) 
+       @rm -f lad_omap54xx_smp$(EXEEXT)
+       $(LINK) $(lad_omap54xx_smp_LDFLAGS) $(lad_omap54xx_smp_OBJECTS) $(lad_omap54xx_smp_LDADD) $(LIBS)
 lad_omapl138$(EXEEXT): $(lad_omapl138_OBJECTS) $(lad_omapl138_DEPENDENCIES) 
        @rm -f lad_omapl138$(EXEEXT)
        $(LINK) $(lad_omapl138_LDFLAGS) $(lad_omapl138_OBJECTS) $(lad_omapl138_LDADD) $(LIBS)
index 8152b60a428f35d4467a624b370b406ebfd64473..b639ce7a2fdf4d3bceabfb5396030989b8670428 100644 (file)
@@ -41,8 +41,8 @@ AM_CFLAGS = -I$(top_srcdir)/linux/include -D_GNU_SOURCE -Wall @AM_CFLAGS@
 # the library names to build (note we are building shared libs)
 lib_LTLIBRARIES =
 
-if OMAP4430
-  lib_LTLIBRARIES += libtiipccfg_omap4430.la
+if OMAP54XX_SMP
+  lib_LTLIBRARIES += libtiipccfg_omap54xx_smp.la
 else 
 if OMAPL138
   lib_LTLIBRARIES += libtiipccfg_omapl138.la
@@ -54,7 +54,7 @@ if TCI6638
   lib_LTLIBRARIES += libtiipccfg_tci6638.la
 else 
   lib_LTLIBRARIES += \
-                libtiipccfg_omap4430.la libtiipccfg_omapl138.la \
+                libtiipccfg_omap54xx_smp.la libtiipccfg_omapl138.la \
                 libtiipccfg_tci6614.la libtiipccfg_tci6638.la
 endif
 endif
@@ -66,13 +66,13 @@ common_install_headers = $(top_srcdir)/linux/include/Std.h
 common_sources = $(top_srcdir)/linux/include/_MultiProc.h
 
 # where to install the headers on the system
-libtiipccfg_omap4430_ladir = $(includedir)
+libtiipccfg_omap54xx_smp_ladir = $(includedir)
 libtiipccfg_omapl138_ladir = $(includedir)
 libtiipccfg_tci6614_ladir = $(includedir)
 libtiipccfg_tci6638_ladir = $(includedir)
 
 # the list of header files that belong to the library (to be installed later)
-libtiipccfg_omap4430_la_HEADERS =      \
+libtiipccfg_omap54xx_smp_la_HEADERS =  \
                         $(common_install_headers)
 
 libtiipccfg_omapl138_la_HEADERS =      \
@@ -85,10 +85,10 @@ libtiipccfg_tci6638_la_HEADERS =    \
                         $(common_install_headers)
 
 # the sources to add to the library and to add to the source distribution
-libtiipccfg_omap4430_la_SOURCES =      \
-                        $(libtiipccfg_omap4430_la_HEADERS) \
+libtiipccfg_omap54xx_smp_la_SOURCES =  \
+                        $(libtiipccfg_omap54xx_smp_la_HEADERS) \
                         $(common_sources) \
-                        SystemCfg_omap4430.c
+                        SystemCfg_omap54xx_smp.c
 
 libtiipccfg_omapl138_la_SOURCES =      \
                         $(libtiipccfg_omapl138_la_HEADERS) \
@@ -106,7 +106,7 @@ libtiipccfg_tci6638_la_SOURCES =    \
                         SystemCfg_tci6638.c
 
 # Add version info to the shared library
-libtiipccfg_omap4430_la_LDFLAGS = -version-info 1:0:0
+libtiipccfg_omap54xx_smp_la_LDFLAGS = -version-info 1:0:0
 libtiipccfg_omapl138_la_LDFLAGS = -version-info 1:0:0
 libtiipccfg_tci6614_la_LDFLAGS = -version-info 1:0:0
 libtiipccfg_tci6638_la_LDFLAGS = -version-info 1:0:0
index 7d607e06be5fcfe675921cf723be942a869277d2..0a785a2baa92e7eece18636c5ee3823cba806b2c 100644 (file)
@@ -37,16 +37,16 @@ PRE_UNINSTALL = :
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@OMAP4430_TRUE@am__append_1 = libtiipccfg_omap4430.la
-@OMAP4430_FALSE@@OMAPL138_TRUE@am__append_2 = libtiipccfg_omapl138.la
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_3 = libtiipccfg_tci6614.la
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__append_4 = libtiipccfg_tci6638.la
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__append_5 = \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                libtiipccfg_omap4430.la libtiipccfg_omapl138.la \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                libtiipccfg_tci6614.la libtiipccfg_tci6638.la
+@OMAP54XX_SMP_TRUE@am__append_1 = libtiipccfg_omap54xx_smp.la
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_2 = libtiipccfg_omapl138.la
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_3 = libtiipccfg_tci6614.la
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__append_4 = libtiipccfg_tci6638.la
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__append_5 = \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                libtiipccfg_omap54xx_smp.la libtiipccfg_omapl138.la \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                libtiipccfg_tci6614.la libtiipccfg_tci6638.la
 
 subdir = linux/src/family
-DIST_COMMON = $(libtiipccfg_omap4430_la_HEADERS) \
+DIST_COMMON = $(libtiipccfg_omap54xx_smp_la_HEADERS) \
        $(libtiipccfg_omapl138_la_HEADERS) \
        $(libtiipccfg_tci6614_la_HEADERS) \
        $(libtiipccfg_tci6638_la_HEADERS) $(srcdir)/Makefile.am \
@@ -64,47 +64,49 @@ am__vpath_adj = case $$p in \
   esac;
 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
 am__installdirs = "$(DESTDIR)$(libdir)" \
-       "$(DESTDIR)$(libtiipccfg_omap4430_ladir)" \
+       "$(DESTDIR)$(libtiipccfg_omap54xx_smp_ladir)" \
        "$(DESTDIR)$(libtiipccfg_omapl138_ladir)" \
        "$(DESTDIR)$(libtiipccfg_tci6614_ladir)" \
        "$(DESTDIR)$(libtiipccfg_tci6638_ladir)"
 libLTLIBRARIES_INSTALL = $(INSTALL)
 LTLIBRARIES = $(lib_LTLIBRARIES)
-libtiipccfg_omap4430_la_LIBADD =
+libtiipccfg_omap54xx_smp_la_LIBADD =
 am__objects_1 =
 am__objects_2 = $(am__objects_1)
-am_libtiipccfg_omap4430_la_OBJECTS = $(am__objects_2) $(am__objects_1) \
-       SystemCfg_omap4430.lo
-libtiipccfg_omap4430_la_OBJECTS =  \
-       $(am_libtiipccfg_omap4430_la_OBJECTS)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am_libtiipccfg_omap4430_la_rpath = -rpath \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ $(libdir)
-@OMAP4430_TRUE@am_libtiipccfg_omap4430_la_rpath = -rpath $(libdir)
+am_libtiipccfg_omap54xx_smp_la_OBJECTS = $(am__objects_2) \
+       $(am__objects_1) SystemCfg_omap54xx_smp.lo
+libtiipccfg_omap54xx_smp_la_OBJECTS =  \
+       $(am_libtiipccfg_omap54xx_smp_la_OBJECTS)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am_libtiipccfg_omap54xx_smp_la_rpath = -rpath \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     $(libdir)
+@OMAP54XX_SMP_TRUE@am_libtiipccfg_omap54xx_smp_la_rpath = -rpath \
+@OMAP54XX_SMP_TRUE@    $(libdir)
 libtiipccfg_omapl138_la_LIBADD =
 am_libtiipccfg_omapl138_la_OBJECTS = $(am__objects_2) $(am__objects_1) \
        SystemCfg_omapl138.lo
 libtiipccfg_omapl138_la_OBJECTS =  \
        $(am_libtiipccfg_omapl138_la_OBJECTS)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am_libtiipccfg_omapl138_la_rpath = -rpath \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ $(libdir)
-@OMAP4430_FALSE@@OMAPL138_TRUE@am_libtiipccfg_omapl138_la_rpath =  \
-@OMAP4430_FALSE@@OMAPL138_TRUE@        -rpath $(libdir)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am_libtiipccfg_omapl138_la_rpath = -rpath \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     $(libdir)
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am_libtiipccfg_omapl138_la_rpath =  \
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@    -rpath $(libdir)
 libtiipccfg_tci6614_la_LIBADD =
 am_libtiipccfg_tci6614_la_OBJECTS = $(am__objects_2) $(am__objects_1) \
        SystemCfg_tci6614.lo
 libtiipccfg_tci6614_la_OBJECTS = $(am_libtiipccfg_tci6614_la_OBJECTS)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am_libtiipccfg_tci6614_la_rpath = -rpath \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ $(libdir)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am_libtiipccfg_tci6614_la_rpath =  \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@ -rpath $(libdir)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am_libtiipccfg_tci6614_la_rpath = -rpath \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     $(libdir)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am_libtiipccfg_tci6614_la_rpath =  \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@     -rpath \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@     $(libdir)
 libtiipccfg_tci6638_la_LIBADD =
 am_libtiipccfg_tci6638_la_OBJECTS = $(am__objects_2) $(am__objects_1) \
        SystemCfg_tci6638.lo
 libtiipccfg_tci6638_la_OBJECTS = $(am_libtiipccfg_tci6638_la_OBJECTS)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am_libtiipccfg_tci6638_la_rpath = -rpath \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ $(libdir)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am_libtiipccfg_tci6638_la_rpath = -rpath \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@  $(libdir)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am_libtiipccfg_tci6638_la_rpath = -rpath \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     $(libdir)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am_libtiipccfg_tci6638_la_rpath = -rpath \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@      $(libdir)
 DEFAULT_INCLUDES = -I. -I$(srcdir)
 depcomp = $(SHELL) $(top_srcdir)/linux/build-aux/depcomp
 am__depfiles_maybe = depfiles
@@ -116,19 +118,19 @@ LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
        $(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libtiipccfg_omap4430_la_SOURCES) \
+SOURCES = $(libtiipccfg_omap54xx_smp_la_SOURCES) \
        $(libtiipccfg_omapl138_la_SOURCES) \
        $(libtiipccfg_tci6614_la_SOURCES) \
        $(libtiipccfg_tci6638_la_SOURCES)
-DIST_SOURCES = $(libtiipccfg_omap4430_la_SOURCES) \
+DIST_SOURCES = $(libtiipccfg_omap54xx_smp_la_SOURCES) \
        $(libtiipccfg_omapl138_la_SOURCES) \
        $(libtiipccfg_tci6614_la_SOURCES) \
        $(libtiipccfg_tci6638_la_SOURCES)
-libtiipccfg_omap4430_laHEADERS_INSTALL = $(INSTALL_HEADER)
+libtiipccfg_omap54xx_smp_laHEADERS_INSTALL = $(INSTALL_HEADER)
 libtiipccfg_omapl138_laHEADERS_INSTALL = $(INSTALL_HEADER)
 libtiipccfg_tci6614_laHEADERS_INSTALL = $(INSTALL_HEADER)
 libtiipccfg_tci6638_laHEADERS_INSTALL = $(INSTALL_HEADER)
-HEADERS = $(libtiipccfg_omap4430_la_HEADERS) \
+HEADERS = $(libtiipccfg_omap54xx_smp_la_HEADERS) \
        $(libtiipccfg_omapl138_la_HEADERS) \
        $(libtiipccfg_tci6614_la_HEADERS) \
        $(libtiipccfg_tci6638_la_HEADERS)
@@ -184,8 +186,8 @@ MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
 OBJEXT = @OBJEXT@
-OMAP4430_FALSE = @OMAP4430_FALSE@
-OMAP4430_TRUE = @OMAP4430_TRUE@
+OMAP54XX_SMP_FALSE = @OMAP54XX_SMP_FALSE@
+OMAP54XX_SMP_TRUE = @OMAP54XX_SMP_TRUE@
 OMAPL138_FALSE = @OMAPL138_FALSE@
 OMAPL138_TRUE = @OMAPL138_TRUE@
 PACKAGE = @PACKAGE@
@@ -259,13 +261,13 @@ common_install_headers = $(top_srcdir)/linux/include/Std.h
 common_sources = $(top_srcdir)/linux/include/_MultiProc.h
 
 # where to install the headers on the system
-libtiipccfg_omap4430_ladir = $(includedir)
+libtiipccfg_omap54xx_smp_ladir = $(includedir)
 libtiipccfg_omapl138_ladir = $(includedir)
 libtiipccfg_tci6614_ladir = $(includedir)
 libtiipccfg_tci6638_ladir = $(includedir)
 
 # the list of header files that belong to the library (to be installed later)
-libtiipccfg_omap4430_la_HEADERS = \
+libtiipccfg_omap54xx_smp_la_HEADERS = \
                         $(common_install_headers)
 
 libtiipccfg_omapl138_la_HEADERS = \
@@ -279,10 +281,10 @@ libtiipccfg_tci6638_la_HEADERS = \
 
 
 # the sources to add to the library and to add to the source distribution
-libtiipccfg_omap4430_la_SOURCES = \
-                        $(libtiipccfg_omap4430_la_HEADERS) \
+libtiipccfg_omap54xx_smp_la_SOURCES = \
+                        $(libtiipccfg_omap54xx_smp_la_HEADERS) \
                         $(common_sources) \
-                        SystemCfg_omap4430.c
+                        SystemCfg_omap54xx_smp.c
 
 libtiipccfg_omapl138_la_SOURCES = \
                         $(libtiipccfg_omapl138_la_HEADERS) \
@@ -301,7 +303,7 @@ libtiipccfg_tci6638_la_SOURCES = \
 
 
 # Add version info to the shared library
-libtiipccfg_omap4430_la_LDFLAGS = -version-info 1:0:0
+libtiipccfg_omap54xx_smp_la_LDFLAGS = -version-info 1:0:0
 libtiipccfg_omapl138_la_LDFLAGS = -version-info 1:0:0
 libtiipccfg_tci6614_la_LDFLAGS = -version-info 1:0:0
 libtiipccfg_tci6638_la_LDFLAGS = -version-info 1:0:0
@@ -365,8 +367,8 @@ clean-libLTLIBRARIES:
          echo "rm -f \"$${dir}/so_locations\""; \
          rm -f "$${dir}/so_locations"; \
        done
-libtiipccfg_omap4430.la: $(libtiipccfg_omap4430_la_OBJECTS) $(libtiipccfg_omap4430_la_DEPENDENCIES) 
-       $(LINK) $(am_libtiipccfg_omap4430_la_rpath) $(libtiipccfg_omap4430_la_LDFLAGS) $(libtiipccfg_omap4430_la_OBJECTS) $(libtiipccfg_omap4430_la_LIBADD) $(LIBS)
+libtiipccfg_omap54xx_smp.la: $(libtiipccfg_omap54xx_smp_la_OBJECTS) $(libtiipccfg_omap54xx_smp_la_DEPENDENCIES) 
+       $(LINK) $(am_libtiipccfg_omap54xx_smp_la_rpath) $(libtiipccfg_omap54xx_smp_la_LDFLAGS) $(libtiipccfg_omap54xx_smp_la_OBJECTS) $(libtiipccfg_omap54xx_smp_la_LIBADD) $(LIBS)
 libtiipccfg_omapl138.la: $(libtiipccfg_omapl138_la_OBJECTS) $(libtiipccfg_omapl138_la_DEPENDENCIES) 
        $(LINK) $(am_libtiipccfg_omapl138_la_rpath) $(libtiipccfg_omapl138_la_LDFLAGS) $(libtiipccfg_omapl138_la_OBJECTS) $(libtiipccfg_omapl138_la_LIBADD) $(LIBS)
 libtiipccfg_tci6614.la: $(libtiipccfg_tci6614_la_OBJECTS) $(libtiipccfg_tci6614_la_DEPENDENCIES) 
@@ -380,7 +382,7 @@ mostlyclean-compile:
 distclean-compile:
        -rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SystemCfg_omap4430.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SystemCfg_omap54xx_smp.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SystemCfg_omapl138.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SystemCfg_tci6614.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SystemCfg_tci6638.Plo@am__quote@
@@ -415,22 +417,22 @@ clean-libtool:
 distclean-libtool:
        -rm -f libtool
 uninstall-info-am:
-install-libtiipccfg_omap4430_laHEADERS: $(libtiipccfg_omap4430_la_HEADERS)
+install-libtiipccfg_omap54xx_smp_laHEADERS: $(libtiipccfg_omap54xx_smp_la_HEADERS)
        @$(NORMAL_INSTALL)
-       test -z "$(libtiipccfg_omap4430_ladir)" || $(mkdir_p) "$(DESTDIR)$(libtiipccfg_omap4430_ladir)"
-       @list='$(libtiipccfg_omap4430_la_HEADERS)'; for p in $$list; do \
+       test -z "$(libtiipccfg_omap54xx_smp_ladir)" || $(mkdir_p) "$(DESTDIR)$(libtiipccfg_omap54xx_smp_ladir)"
+       @list='$(libtiipccfg_omap54xx_smp_la_HEADERS)'; for p in $$list; do \
          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
          f=$(am__strip_dir) \
-         echo " $(libtiipccfg_omap4430_laHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libtiipccfg_omap4430_ladir)/$$f'"; \
-         $(libtiipccfg_omap4430_laHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libtiipccfg_omap4430_ladir)/$$f"; \
+         echo " $(libtiipccfg_omap54xx_smp_laHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libtiipccfg_omap54xx_smp_ladir)/$$f'"; \
+         $(libtiipccfg_omap54xx_smp_laHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libtiipccfg_omap54xx_smp_ladir)/$$f"; \
        done
 
-uninstall-libtiipccfg_omap4430_laHEADERS:
+uninstall-libtiipccfg_omap54xx_smp_laHEADERS:
        @$(NORMAL_UNINSTALL)
-       @list='$(libtiipccfg_omap4430_la_HEADERS)'; for p in $$list; do \
+       @list='$(libtiipccfg_omap54xx_smp_la_HEADERS)'; for p in $$list; do \
          f=$(am__strip_dir) \
-         echo " rm -f '$(DESTDIR)$(libtiipccfg_omap4430_ladir)/$$f'"; \
-         rm -f "$(DESTDIR)$(libtiipccfg_omap4430_ladir)/$$f"; \
+         echo " rm -f '$(DESTDIR)$(libtiipccfg_omap54xx_smp_ladir)/$$f'"; \
+         rm -f "$(DESTDIR)$(libtiipccfg_omap54xx_smp_ladir)/$$f"; \
        done
 install-libtiipccfg_omapl138_laHEADERS: $(libtiipccfg_omapl138_la_HEADERS)
        @$(NORMAL_INSTALL)
@@ -564,7 +566,7 @@ check-am: all-am
 check: check-am
 all-am: Makefile $(LTLIBRARIES) $(HEADERS)
 installdirs:
-       for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libtiipccfg_omap4430_ladir)" "$(DESTDIR)$(libtiipccfg_omapl138_ladir)" "$(DESTDIR)$(libtiipccfg_tci6614_ladir)" "$(DESTDIR)$(libtiipccfg_tci6638_ladir)"; do \
+       for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libtiipccfg_omap54xx_smp_ladir)" "$(DESTDIR)$(libtiipccfg_omapl138_ladir)" "$(DESTDIR)$(libtiipccfg_tci6614_ladir)" "$(DESTDIR)$(libtiipccfg_tci6638_ladir)"; do \
          test -z "$$dir" || $(mkdir_p) "$$dir"; \
        done
 install: install-am
@@ -612,7 +614,7 @@ info: info-am
 
 info-am:
 
-install-data-am: install-libtiipccfg_omap4430_laHEADERS \
+install-data-am: install-libtiipccfg_omap54xx_smp_laHEADERS \
        install-libtiipccfg_omapl138_laHEADERS \
        install-libtiipccfg_tci6614_laHEADERS \
        install-libtiipccfg_tci6638_laHEADERS
@@ -644,7 +646,7 @@ ps: ps-am
 ps-am:
 
 uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES \
-       uninstall-libtiipccfg_omap4430_laHEADERS \
+       uninstall-libtiipccfg_omap54xx_smp_laHEADERS \
        uninstall-libtiipccfg_omapl138_laHEADERS \
        uninstall-libtiipccfg_tci6614_laHEADERS \
        uninstall-libtiipccfg_tci6638_laHEADERS
@@ -655,7 +657,8 @@ uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES \
        distclean-tags distdir dvi dvi-am html html-am info info-am \
        install install-am install-data install-data-am install-exec \
        install-exec-am install-info install-info-am \
-       install-libLTLIBRARIES install-libtiipccfg_omap4430_laHEADERS \
+       install-libLTLIBRARIES \
+       install-libtiipccfg_omap54xx_smp_laHEADERS \
        install-libtiipccfg_omapl138_laHEADERS \
        install-libtiipccfg_tci6614_laHEADERS \
        install-libtiipccfg_tci6638_laHEADERS install-man \
@@ -664,7 +667,7 @@ uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES \
        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
        pdf pdf-am ps ps-am tags uninstall uninstall-am \
        uninstall-info-am uninstall-libLTLIBRARIES \
-       uninstall-libtiipccfg_omap4430_laHEADERS \
+       uninstall-libtiipccfg_omap54xx_smp_laHEADERS \
        uninstall-libtiipccfg_omapl138_laHEADERS \
        uninstall-libtiipccfg_tci6614_laHEADERS \
        uninstall-libtiipccfg_tci6638_laHEADERS
diff --git a/linux/src/family/SystemCfg_omap54xx_smp.c b/linux/src/family/SystemCfg_omap54xx_smp.c
new file mode 100644 (file)
index 0000000..1bd56a4
--- /dev/null
@@ -0,0 +1,50 @@
+/*
+ * Copyright (c) 2013, Texas Instruments Incorporated
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * *  Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ *
+ * *  Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * *  Neither the name of Texas Instruments Incorporated nor the names of
+ *    its contributors may be used to endorse or promote products derived
+ *    from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
+ * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+ * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+ * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+ * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+ * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
+ * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+/*
+ * ========SystemCfg.c ========
+ * System-wide configuration
+ */
+
+/* Standard headers */
+#include <Std.h>
+
+/* For Backplane IPC startup/shutdown stuff: */
+#include <_MultiProc.h>
+
+/* This must match BIOS side MultiProc configuration for given platform!: */
+MultiProc_Config _MultiProc_cfg =  {
+   .numProcessors = 3,
+   .nameList[0] = "HOST",
+   .nameList[1] = "CORE0",
+   .nameList[2] = "DSP",
+   .id = 0,                 /* The host is always zero */
+};
index 2a26dcdfcd5d18a73cc0e7325f135b1899eba384..00c0c88fda923b2d54801cac29f0b7e4475d9196 100644 (file)
@@ -42,9 +42,9 @@ AM_CFLAGS = -I$(top_srcdir)/linux/include -I$(top_srcdir)/packages  \
 # the program to build (the names of the final binaries)
 bin_PROGRAMS = ping_rpmsg mmrpc_test
 
-if OMAP4430
-  bin_PROGRAMS += MessageQApp_omap4430 MessageQBench_omap4430 \
-                MessageQMulti_omap4430 NameServerApp_omap4430
+if OMAP54XX_SMP
+  bin_PROGRAMS += MessageQApp_omap54xx_smp MessageQBench_omap54xx_smp \
+                MessageQMulti_omap54xx_smp NameServerApp_omap54xx_smp
 else
 if OMAPL138
   bin_PROGRAMS += MessageQApp_omapl138 MessageQBench_omapl138 \
@@ -61,8 +61,8 @@ if TCI6638
   bin_PROGRAMS += MessageQApp_tci6638 MessageQBench_tci6638 \
                 MessageQMulti_tci6638 NameServerApp_tci6638
 else
-  bin_PROGRAMS += MessageQApp_omap4430 MessageQBench_omap4430 \
-                MessageQMulti_omap4430 NameServerApp_omap4430 \
+  bin_PROGRAMS += MessageQApp_omap54xx_smp MessageQBench_omap54xx_smp \
+                MessageQMulti_omap54xx_smp NameServerApp_omap54xx_smp \
                 MessageQApp_omapl138 MessageQBench_omapl138 \
                 MessageQMulti_omapl138 NameServerApp_omapl138 \
                 MessageQApp_tci6614 MessageQBench_tci6614 \
@@ -96,25 +96,25 @@ ping_rpmsg_SOURCES = ping_rpmsg.c
 mmrpc_test_SOURCES = mmrpc_test.c
 
 # list of sources for the 'MessageQApp' binary
-MessageQApp_omap4430_SOURCES = $(common_sources) MessageQApp.c
+MessageQApp_omap54xx_smp_SOURCES = $(common_sources) MessageQApp.c
 MessageQApp_omapl138_SOURCES = $(common_sources) MessageQApp.c
 MessageQApp_tci6614_SOURCES = $(common_sources) MessageQApp.c
 MessageQApp_tci6638_SOURCES = $(common_sources) MessageQApp.c
 
 # list of sources for the 'MessageQBench' binary
-MessageQBench_omap4430_SOURCES = $(common_sources) MessageQBench.c
+MessageQBench_omap54xx_smp_SOURCES = $(common_sources) MessageQBench.c
 MessageQBench_omapl138_SOURCES = $(common_sources) MessageQBench.c
 MessageQBench_tci6614_SOURCES  = $(common_sources) MessageQBench.c
 MessageQBench_tci6638_SOURCES  = $(common_sources) MessageQBench.c
 
 # list of sources for the 'MessageQMulti' binary
-MessageQMulti_omap4430_SOURCES = $(common_sources) MessageQMulti.c
+MessageQMulti_omap54xx_smp_SOURCES = $(common_sources) MessageQMulti.c
 MessageQMulti_omapl138_SOURCES = $(common_sources) MessageQMulti.c
 MessageQMulti_tci6614_SOURCES  = $(common_sources) MessageQMulti.c
 MessageQMulti_tci6638_SOURCES  = $(common_sources) MessageQMulti.c
 
 # list of sources for the 'NameServerApp' binary
-NameServerApp_omap4430_SOURCES = $(nameServer_common_sources)
+NameServerApp_omap54xx_smp_SOURCES = $(nameServer_common_sources)
 NameServerApp_omapl138_SOURCES = $(nameServer_common_sources)
 NameServerApp_tci6614_SOURCES  = $(nameServer_common_sources)
 NameServerApp_tci6638_SOURCES  = $(nameServer_common_sources)
@@ -132,8 +132,8 @@ ping_rpmsg_LDADD = -lrt
 mmrpc_test_LDADD = $(top_builddir)/linux/src/mm/libmmrpc.la
 
 # the additional libraries needed to link MessageQApp
-MessageQApp_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+MessageQApp_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
                 $(AM_LDFLAGS)
 MessageQApp_omapl138_LDADD = $(common_libraries) \
                 $(top_builddir)/linux/src/family/libtiipccfg_omapl138.la \
@@ -146,8 +146,8 @@ MessageQApp_tci6638_LDADD = $(common_libraries) \
                 $(AM_LDFLAGS)
 
 # the additional libraries needed to link MessageQBench
-MessageQBench_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la -lrt \
+MessageQBench_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la -lrt \
                 $(AM_LDFLAGS)
 MessageQBench_omapl138_LDADD = $(common_libraries) \
                 $(top_builddir)/linux/src/family/libtiipccfg_omapl138.la -lrt \
@@ -160,8 +160,8 @@ MessageQBench_tci6638_LDADD = $(common_libraries) \
                 $(AM_LDFLAGS)
 
 # the additional libraries needed to link MessageQMulti
-MessageQMulti_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+MessageQMulti_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
                 $(AM_LDFLAGS)
 MessageQMulti_omapl138_LDADD = $(common_libraries) \
                 $(top_builddir)/linux/src/family/libtiipccfg_omapl138.la \
@@ -174,8 +174,8 @@ MessageQMulti_tci6638_LDADD = $(common_libraries) \
                 $(AM_LDFLAGS)
 
 # the additional libraries needed to link NameServerApp
-NameServerApp_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+NameServerApp_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
                 $(AM_LDFLAGS)
 NameServerApp_omapl138_LDADD = $(common_libraries) \
                 $(top_builddir)/linux/src/family/libtiipccfg_omapl138.la \
index 3ffec109cf860d80f42f1b011f276918a53ca509..9cfb97793f606768363413f0d4563211875e72fb 100644 (file)
@@ -39,29 +39,29 @@ host_triplet = @host@
 bin_PROGRAMS = ping_rpmsg$(EXEEXT) mmrpc_test$(EXEEXT) $(am__EXEEXT_1) \
        $(am__EXEEXT_2) $(am__EXEEXT_3) $(am__EXEEXT_4) \
        $(am__EXEEXT_5) $(am__EXEEXT_6) $(am__EXEEXT_7)
-@OMAP4430_TRUE@am__append_1 = MessageQApp_omap4430 MessageQBench_omap4430 \
-@OMAP4430_TRUE@                MessageQMulti_omap4430 NameServerApp_omap4430
+@OMAP54XX_SMP_TRUE@am__append_1 = MessageQApp_omap54xx_smp MessageQBench_omap54xx_smp \
+@OMAP54XX_SMP_TRUE@                MessageQMulti_omap54xx_smp NameServerApp_omap54xx_smp
 
-@OMAP4430_FALSE@@OMAPL138_TRUE@am__append_2 = MessageQApp_omapl138 MessageQBench_omapl138 \
-@OMAP4430_FALSE@@OMAPL138_TRUE@                MessageQMulti_omapl138 NameServerApp_omapl138
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_2 = MessageQApp_omapl138 MessageQBench_omapl138 \
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@                MessageQMulti_omapl138 NameServerApp_omapl138
 
-@CMEM_TRUE@@OMAP4430_FALSE@@OMAPL138_TRUE@am__append_3 = nano_test_omapl138
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_4 = MessageQApp_tci6614 MessageQBench_tci6614 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@                MessageQMulti_tci6614 NameServerApp_tci6614
+@CMEM_TRUE@@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_3 = nano_test_omapl138
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_4 = MessageQApp_tci6614 MessageQBench_tci6614 \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@                MessageQMulti_tci6614 NameServerApp_tci6614
 
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__append_5 = MessageQApp_tci6638 MessageQBench_tci6638 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@                MessageQMulti_tci6638 NameServerApp_tci6638
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__append_5 = MessageQApp_tci6638 MessageQBench_tci6638 \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@                MessageQMulti_tci6638 NameServerApp_tci6638
 
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__append_6 = MessageQApp_omap4430 MessageQBench_omap4430 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQMulti_omap4430 NameServerApp_omap4430 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQApp_omapl138 MessageQBench_omapl138 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQMulti_omapl138 NameServerApp_omapl138 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQApp_tci6614 MessageQBench_tci6614 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQMulti_tci6614 NameServerApp_tci6614 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQApp_tci6638 MessageQBench_tci6638 \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQMulti_tci6638 NameServerApp_tci6638
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__append_6 = MessageQApp_omap54xx_smp MessageQBench_omap54xx_smp \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQMulti_omap54xx_smp NameServerApp_omap54xx_smp \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQApp_omapl138 MessageQBench_omapl138 \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQMulti_omapl138 NameServerApp_omapl138 \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQApp_tci6614 MessageQBench_tci6614 \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQMulti_tci6614 NameServerApp_tci6614 \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQApp_tci6638 MessageQBench_tci6638 \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@                MessageQMulti_tci6638 NameServerApp_tci6638
 
-@CMEM_TRUE@@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__append_7 = nano_test_omapl138
+@CMEM_TRUE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__append_7 = nano_test_omapl138
 subdir = linux/src/tests
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -70,53 +70,53 @@ am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
        $(ACLOCAL_M4)
 mkinstalldirs = $(install_sh) -d
 CONFIG_CLEAN_FILES =
-@OMAP4430_TRUE@am__EXEEXT_1 = MessageQApp_omap4430$(EXEEXT) \
-@OMAP4430_TRUE@        MessageQBench_omap4430$(EXEEXT) \
-@OMAP4430_TRUE@        MessageQMulti_omap4430$(EXEEXT) \
-@OMAP4430_TRUE@        NameServerApp_omap4430$(EXEEXT)
-@OMAP4430_FALSE@@OMAPL138_TRUE@am__EXEEXT_2 =  \
-@OMAP4430_FALSE@@OMAPL138_TRUE@        MessageQApp_omapl138$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_TRUE@        MessageQBench_omapl138$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_TRUE@        MessageQMulti_omapl138$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_TRUE@        NameServerApp_omapl138$(EXEEXT)
-@CMEM_TRUE@@OMAP4430_FALSE@@OMAPL138_TRUE@am__EXEEXT_3 = nano_test_omapl138$(EXEEXT)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__EXEEXT_4 = MessageQApp_tci6614$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@ MessageQBench_tci6614$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@ MessageQMulti_tci6614$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@ NameServerApp_tci6614$(EXEEXT)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__EXEEXT_5 = MessageQApp_tci6638$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@  MessageQBench_tci6638$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@  MessageQMulti_tci6638$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@  NameServerApp_tci6638$(EXEEXT)
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__EXEEXT_6 = MessageQApp_omap4430$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQBench_omap4430$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQMulti_omap4430$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ NameServerApp_omap4430$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQApp_omapl138$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQBench_omapl138$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQMulti_omapl138$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ NameServerApp_omapl138$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQApp_tci6614$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQBench_tci6614$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQMulti_tci6614$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ NameServerApp_tci6614$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQApp_tci6638$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQBench_tci6638$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ MessageQMulti_tci6638$(EXEEXT) \
-@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@ NameServerApp_tci6638$(EXEEXT)
-@CMEM_TRUE@@OMAP4430_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__EXEEXT_7 = nano_test_omapl138$(EXEEXT)
+@OMAP54XX_SMP_TRUE@am__EXEEXT_1 = MessageQApp_omap54xx_smp$(EXEEXT) \
+@OMAP54XX_SMP_TRUE@    MessageQBench_omap54xx_smp$(EXEEXT) \
+@OMAP54XX_SMP_TRUE@    MessageQMulti_omap54xx_smp$(EXEEXT) \
+@OMAP54XX_SMP_TRUE@    NameServerApp_omap54xx_smp$(EXEEXT)
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__EXEEXT_2 = MessageQApp_omapl138$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@    MessageQBench_omapl138$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@    MessageQMulti_omapl138$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@    NameServerApp_omapl138$(EXEEXT)
+@CMEM_TRUE@@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__EXEEXT_3 = nano_test_omapl138$(EXEEXT)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__EXEEXT_4 = MessageQApp_tci6614$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@     MessageQBench_tci6614$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@     MessageQMulti_tci6614$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@     NameServerApp_tci6614$(EXEEXT)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@am__EXEEXT_5 = MessageQApp_tci6638$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@      MessageQBench_tci6638$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@      MessageQMulti_tci6638$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_TRUE@      NameServerApp_tci6638$(EXEEXT)
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__EXEEXT_6 = MessageQApp_omap54xx_smp$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQBench_omap54xx_smp$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQMulti_omap54xx_smp$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     NameServerApp_omap54xx_smp$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQApp_omapl138$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQBench_omapl138$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQMulti_omapl138$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     NameServerApp_omapl138$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQApp_tci6614$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQBench_tci6614$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQMulti_tci6614$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     NameServerApp_tci6614$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQApp_tci6638$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQBench_tci6638$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     MessageQMulti_tci6638$(EXEEXT) \
+@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@     NameServerApp_tci6638$(EXEEXT)
+@CMEM_TRUE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6638_FALSE@am__EXEEXT_7 = nano_test_omapl138$(EXEEXT)
 am__installdirs = "$(DESTDIR)$(bindir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
 am__objects_1 =
-am_MessageQApp_omap4430_OBJECTS = $(am__objects_1) \
+am_MessageQApp_omap54xx_smp_OBJECTS = $(am__objects_1) \
        MessageQApp.$(OBJEXT)
-MessageQApp_omap4430_OBJECTS = $(am_MessageQApp_omap4430_OBJECTS)
+MessageQApp_omap54xx_smp_OBJECTS =  \
+       $(am_MessageQApp_omap54xx_smp_OBJECTS)
 am__DEPENDENCIES_1 = $(top_builddir)/linux/src/api/libtiipc.la \
        $(top_builddir)/linux/src/utils/libtiipcutils.la
 am__DEPENDENCIES_2 =
-MessageQApp_omap4430_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-       $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+MessageQApp_omap54xx_smp_DEPENDENCIES = $(am__DEPENDENCIES_1) \
+       $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
        $(am__DEPENDENCIES_2)
 am_MessageQApp_omapl138_OBJECTS = $(am__objects_1) \
        MessageQApp.$(OBJEXT)
@@ -136,11 +136,12 @@ MessageQApp_tci6638_OBJECTS = $(am_MessageQApp_tci6638_OBJECTS)
 MessageQApp_tci6638_DEPENDENCIES = $(am__DEPENDENCIES_1) \
        $(top_builddir)/linux/src/family/libtiipccfg_tci6638.la \
        $(am__DEPENDENCIES_2)
-am_MessageQBench_omap4430_OBJECTS = $(am__objects_1) \
+am_MessageQBench_omap54xx_smp_OBJECTS = $(am__objects_1) \
        MessageQBench.$(OBJEXT)
-MessageQBench_omap4430_OBJECTS = $(am_MessageQBench_omap4430_OBJECTS)
-MessageQBench_omap4430_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-       $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+MessageQBench_omap54xx_smp_OBJECTS =  \
+       $(am_MessageQBench_omap54xx_smp_OBJECTS)
+MessageQBench_omap54xx_smp_DEPENDENCIES = $(am__DEPENDENCIES_1) \
+       $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
        $(am__DEPENDENCIES_2)
 am_MessageQBench_omapl138_OBJECTS = $(am__objects_1) \
        MessageQBench.$(OBJEXT)
@@ -160,11 +161,12 @@ MessageQBench_tci6638_OBJECTS = $(am_MessageQBench_tci6638_OBJECTS)
 MessageQBench_tci6638_DEPENDENCIES = $(am__DEPENDENCIES_1) \
        $(top_builddir)/linux/src/family/libtiipccfg_tci6638.la \
        $(am__DEPENDENCIES_2)
-am_MessageQMulti_omap4430_OBJECTS = $(am__objects_1) \
+am_MessageQMulti_omap54xx_smp_OBJECTS = $(am__objects_1) \
        MessageQMulti.$(OBJEXT)
-MessageQMulti_omap4430_OBJECTS = $(am_MessageQMulti_omap4430_OBJECTS)
-MessageQMulti_omap4430_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-       $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+MessageQMulti_omap54xx_smp_OBJECTS =  \
+       $(am_MessageQMulti_omap54xx_smp_OBJECTS)
+MessageQMulti_omap54xx_smp_DEPENDENCIES = $(am__DEPENDENCIES_1) \
+       $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
        $(am__DEPENDENCIES_2)
 am_MessageQMulti_omapl138_OBJECTS = $(am__objects_1) \
        MessageQMulti.$(OBJEXT)
@@ -185,10 +187,11 @@ MessageQMulti_tci6638_DEPENDENCIES = $(am__DEPENDENCIES_1) \
        $(top_builddir)/linux/src/family/libtiipccfg_tci6638.la \
        $(am__DEPENDENCIES_2)
 am__objects_2 = NameServerApp.$(OBJEXT)
-am_NameServerApp_omap4430_OBJECTS = $(am__objects_2)
-NameServerApp_omap4430_OBJECTS = $(am_NameServerApp_omap4430_OBJECTS)
-NameServerApp_omap4430_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-       $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+am_NameServerApp_omap54xx_smp_OBJECTS = $(am__objects_2)
+NameServerApp_omap54xx_smp_OBJECTS =  \
+       $(am_NameServerApp_omap54xx_smp_OBJECTS)
+NameServerApp_omap54xx_smp_DEPENDENCIES = $(am__DEPENDENCIES_1) \
+       $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
        $(am__DEPENDENCIES_2)
 am_NameServerApp_omapl138_OBJECTS = $(am__objects_2)
 NameServerApp_omapl138_OBJECTS = $(am_NameServerApp_omapl138_OBJECTS)
@@ -228,34 +231,34 @@ LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
        $(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(MessageQApp_omap4430_SOURCES) \
+SOURCES = $(MessageQApp_omap54xx_smp_SOURCES) \
        $(MessageQApp_omapl138_SOURCES) $(MessageQApp_tci6614_SOURCES) \
        $(MessageQApp_tci6638_SOURCES) \
-       $(MessageQBench_omap4430_SOURCES) \
+       $(MessageQBench_omap54xx_smp_SOURCES) \
        $(MessageQBench_omapl138_SOURCES) \
        $(MessageQBench_tci6614_SOURCES) \
        $(MessageQBench_tci6638_SOURCES) \
-       $(MessageQMulti_omap4430_SOURCES) \
+       $(MessageQMulti_omap54xx_smp_SOURCES) \
        $(MessageQMulti_omapl138_SOURCES) \
        $(MessageQMulti_tci6614_SOURCES) \
        $(MessageQMulti_tci6638_SOURCES) \
-       $(NameServerApp_omap4430_SOURCES) \
+       $(NameServerApp_omap54xx_smp_SOURCES) \
        $(NameServerApp_omapl138_SOURCES) \
        $(NameServerApp_tci6614_SOURCES) \
        $(NameServerApp_tci6638_SOURCES) $(mmrpc_test_SOURCES) \
        $(nano_test_omapl138_SOURCES) $(ping_rpmsg_SOURCES)
-DIST_SOURCES = $(MessageQApp_omap4430_SOURCES) \
+DIST_SOURCES = $(MessageQApp_omap54xx_smp_SOURCES) \
        $(MessageQApp_omapl138_SOURCES) $(MessageQApp_tci6614_SOURCES) \
        $(MessageQApp_tci6638_SOURCES) \
-       $(MessageQBench_omap4430_SOURCES) \
+       $(MessageQBench_omap54xx_smp_SOURCES) \
        $(MessageQBench_omapl138_SOURCES) \
        $(MessageQBench_tci6614_SOURCES) \
        $(MessageQBench_tci6638_SOURCES) \
-       $(MessageQMulti_omap4430_SOURCES) \
+       $(MessageQMulti_omap54xx_smp_SOURCES) \
        $(MessageQMulti_omapl138_SOURCES) \
        $(MessageQMulti_tci6614_SOURCES) \
        $(MessageQMulti_tci6638_SOURCES) \
-       $(NameServerApp_omap4430_SOURCES) \
+       $(NameServerApp_omap54xx_smp_SOURCES) \
        $(NameServerApp_omapl138_SOURCES) \
        $(NameServerApp_tci6614_SOURCES) \
        $(NameServerApp_tci6638_SOURCES) $(mmrpc_test_SOURCES) \
@@ -314,8 +317,8 @@ MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
 OBJEXT = @OBJEXT@
-OMAP4430_FALSE = @OMAP4430_FALSE@
-OMAP4430_TRUE = @OMAP4430_TRUE@
+OMAP54XX_SMP_FALSE = @OMAP54XX_SMP_FALSE@
+OMAP54XX_SMP_TRUE = @OMAP54XX_SMP_TRUE@
 OMAPL138_FALSE = @OMAPL138_FALSE@
 OMAPL138_TRUE = @OMAPL138_TRUE@
 PACKAGE = @PACKAGE@
@@ -397,25 +400,25 @@ ping_rpmsg_SOURCES = ping_rpmsg.c
 mmrpc_test_SOURCES = mmrpc_test.c
 
 # list of sources for the 'MessageQApp' binary
-MessageQApp_omap4430_SOURCES = $(common_sources) MessageQApp.c
+MessageQApp_omap54xx_smp_SOURCES = $(common_sources) MessageQApp.c
 MessageQApp_omapl138_SOURCES = $(common_sources) MessageQApp.c
 MessageQApp_tci6614_SOURCES = $(common_sources) MessageQApp.c
 MessageQApp_tci6638_SOURCES = $(common_sources) MessageQApp.c
 
 # list of sources for the 'MessageQBench' binary
-MessageQBench_omap4430_SOURCES = $(common_sources) MessageQBench.c
+MessageQBench_omap54xx_smp_SOURCES = $(common_sources) MessageQBench.c
 MessageQBench_omapl138_SOURCES = $(common_sources) MessageQBench.c
 MessageQBench_tci6614_SOURCES = $(common_sources) MessageQBench.c
 MessageQBench_tci6638_SOURCES = $(common_sources) MessageQBench.c
 
 # list of sources for the 'MessageQMulti' binary
-MessageQMulti_omap4430_SOURCES = $(common_sources) MessageQMulti.c
+MessageQMulti_omap54xx_smp_SOURCES = $(common_sources) MessageQMulti.c
 MessageQMulti_omapl138_SOURCES = $(common_sources) MessageQMulti.c
 MessageQMulti_tci6614_SOURCES = $(common_sources) MessageQMulti.c
 MessageQMulti_tci6638_SOURCES = $(common_sources) MessageQMulti.c
 
 # list of sources for the 'NameServerApp' binary
-NameServerApp_omap4430_SOURCES = $(nameServer_common_sources)
+NameServerApp_omap54xx_smp_SOURCES = $(nameServer_common_sources)
 NameServerApp_omapl138_SOURCES = $(nameServer_common_sources)
 NameServerApp_tci6614_SOURCES = $(nameServer_common_sources)
 NameServerApp_tci6638_SOURCES = $(nameServer_common_sources)
@@ -433,8 +436,8 @@ ping_rpmsg_LDADD = -lrt
 mmrpc_test_LDADD = $(top_builddir)/linux/src/mm/libmmrpc.la
 
 # the additional libraries needed to link MessageQApp
-MessageQApp_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+MessageQApp_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
                 $(AM_LDFLAGS)
 
 MessageQApp_omapl138_LDADD = $(common_libraries) \
@@ -451,8 +454,8 @@ MessageQApp_tci6638_LDADD = $(common_libraries) \
 
 
 # the additional libraries needed to link MessageQBench
-MessageQBench_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la -lrt \
+MessageQBench_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la -lrt \
                 $(AM_LDFLAGS)
 
 MessageQBench_omapl138_LDADD = $(common_libraries) \
@@ -469,8 +472,8 @@ MessageQBench_tci6638_LDADD = $(common_libraries) \
 
 
 # the additional libraries needed to link MessageQMulti
-MessageQMulti_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+MessageQMulti_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
                 $(AM_LDFLAGS)
 
 MessageQMulti_omapl138_LDADD = $(common_libraries) \
@@ -487,8 +490,8 @@ MessageQMulti_tci6638_LDADD = $(common_libraries) \
 
 
 # the additional libraries needed to link NameServerApp
-NameServerApp_omap4430_LDADD = $(common_libraries) \
-                $(top_builddir)/linux/src/family/libtiipccfg_omap4430.la \
+NameServerApp_omap54xx_smp_LDADD = $(common_libraries) \
+                $(top_builddir)/linux/src/family/libtiipccfg_omap54xx_smp.la \
                 $(AM_LDFLAGS)
 
 NameServerApp_omapl138_LDADD = $(common_libraries) \
@@ -571,9 +574,9 @@ clean-binPROGRAMS:
          echo " rm -f $$p $$f"; \
          rm -f $$p $$f ; \
        done
-MessageQApp_omap4430$(EXEEXT): $(MessageQApp_omap4430_OBJECTS) $(MessageQApp_omap4430_DEPENDENCIES) 
-       @rm -f MessageQApp_omap4430$(EXEEXT)
-       $(LINK) $(MessageQApp_omap4430_LDFLAGS) $(MessageQApp_omap4430_OBJECTS) $(MessageQApp_omap4430_LDADD) $(LIBS)
+MessageQApp_omap54xx_smp$(EXEEXT): $(MessageQApp_omap54xx_smp_OBJECTS) $(MessageQApp_omap54xx_smp_DEPENDENCIES) 
+       @rm -f MessageQApp_omap54xx_smp$(EXEEXT)
+       $(LINK) $(MessageQApp_omap54xx_smp_LDFLAGS) $(MessageQApp_omap54xx_smp_OBJECTS) $(MessageQApp_omap54xx_smp_LDADD) $(LIBS)
 MessageQApp_omapl138$(EXEEXT): $(MessageQApp_omapl138_OBJECTS) $(MessageQApp_omapl138_DEPENDENCIES) 
        @rm -f MessageQApp_omapl138$(EXEEXT)
        $(LINK) $(MessageQApp_omapl138_LDFLAGS) $(MessageQApp_omapl138_OBJECTS) $(MessageQApp_omapl138_LDADD) $(LIBS)
@@ -583,9 +586,9 @@ MessageQApp_tci6614$(EXEEXT): $(MessageQApp_tci6614_OBJECTS) $(MessageQApp_tci66
 MessageQApp_tci6638$(EXEEXT): $(MessageQApp_tci6638_OBJECTS) $(MessageQApp_tci6638_DEPENDENCIES) 
        @rm -f MessageQApp_tci6638$(EXEEXT)
        $(LINK) $(MessageQApp_tci6638_LDFLAGS) $(MessageQApp_tci6638_OBJECTS) $(MessageQApp_tci6638_LDADD) $(LIBS)
-MessageQBench_omap4430$(EXEEXT): $(MessageQBench_omap4430_OBJECTS) $(MessageQBench_omap4430_DEPENDENCIES) 
-       @rm -f MessageQBench_omap4430$(EXEEXT)
-       $(LINK) $(MessageQBench_omap4430_LDFLAGS) $(MessageQBench_omap4430_OBJECTS) $(MessageQBench_omap4430_LDADD) $(LIBS)
+MessageQBench_omap54xx_smp$(EXEEXT): $(MessageQBench_omap54xx_smp_OBJECTS) $(MessageQBench_omap54xx_smp_DEPENDENCIES) 
+       @rm -f MessageQBench_omap54xx_smp$(EXEEXT)
+       $(LINK) $(MessageQBench_omap54xx_smp_LDFLAGS) $(MessageQBench_omap54xx_smp_OBJECTS) $(MessageQBench_omap54xx_smp_LDADD) $(LIBS)
 MessageQBench_omapl138$(EXEEXT): $(MessageQBench_omapl138_OBJECTS) $(MessageQBench_omapl138_DEPENDENCIES) 
        @rm -f MessageQBench_omapl138$(EXEEXT)
        $(LINK) $(MessageQBench_omapl138_LDFLAGS) $(MessageQBench_omapl138_OBJECTS) $(MessageQBench_omapl138_LDADD) $(LIBS)
@@ -595,9 +598,9 @@ MessageQBench_tci6614$(EXEEXT): $(MessageQBench_tci6614_OBJECTS) $(MessageQBench
 MessageQBench_tci6638$(EXEEXT): $(MessageQBench_tci6638_OBJECTS) $(MessageQBench_tci6638_DEPENDENCIES) 
        @rm -f MessageQBench_tci6638$(EXEEXT)
        $(LINK) $(MessageQBench_tci6638_LDFLAGS) $(MessageQBench_tci6638_OBJECTS) $(MessageQBench_tci6638_LDADD) $(LIBS)
-MessageQMulti_omap4430$(EXEEXT): $(MessageQMulti_omap4430_OBJECTS) $(MessageQMulti_omap4430_DEPENDENCIES) 
-       @rm -f MessageQMulti_omap4430$(EXEEXT)
-       $(LINK) $(MessageQMulti_omap4430_LDFLAGS) $(MessageQMulti_omap4430_OBJECTS) $(MessageQMulti_omap4430_LDADD) $(LIBS)
+MessageQMulti_omap54xx_smp$(EXEEXT): $(MessageQMulti_omap54xx_smp_OBJECTS) $(MessageQMulti_omap54xx_smp_DEPENDENCIES) 
+       @rm -f MessageQMulti_omap54xx_smp$(EXEEXT)
+       $(LINK) $(MessageQMulti_omap54xx_smp_LDFLAGS) $(MessageQMulti_omap54xx_smp_OBJECTS) $(MessageQMulti_omap54xx_smp_LDADD) $(LIBS)
 MessageQMulti_omapl138$(EXEEXT): $(MessageQMulti_omapl138_OBJECTS) $(MessageQMulti_omapl138_DEPENDENCIES) 
        @rm -f MessageQMulti_omapl138$(EXEEXT)
        $(LINK) $(MessageQMulti_omapl138_LDFLAGS) $(MessageQMulti_omapl138_OBJECTS) $(MessageQMulti_omapl138_LDADD) $(LIBS)
@@ -607,9 +610,9 @@ MessageQMulti_tci6614$(EXEEXT): $(MessageQMulti_tci6614_OBJECTS) $(MessageQMulti
 MessageQMulti_tci6638$(EXEEXT): $(MessageQMulti_tci6638_OBJECTS) $(MessageQMulti_tci6638_DEPENDENCIES) 
        @rm -f MessageQMulti_tci6638$(EXEEXT)
        $(LINK) $(MessageQMulti_tci6638_LDFLAGS) $(MessageQMulti_tci6638_OBJECTS) $(MessageQMulti_tci6638_LDADD) $(LIBS)
-NameServerApp_omap4430$(EXEEXT): $(NameServerApp_omap4430_OBJECTS) $(NameServerApp_omap4430_DEPENDENCIES) 
-       @rm -f NameServerApp_omap4430$(EXEEXT)
-       $(LINK) $(NameServerApp_omap4430_LDFLAGS) $(NameServerApp_omap4430_OBJECTS) $(NameServerApp_omap4430_LDADD) $(LIBS)
+NameServerApp_omap54xx_smp$(EXEEXT): $(NameServerApp_omap54xx_smp_OBJECTS) $(NameServerApp_omap54xx_smp_DEPENDENCIES) 
+       @rm -f NameServerApp_omap54xx_smp$(EXEEXT)
+       $(LINK) $(NameServerApp_omap54xx_smp_LDFLAGS) $(NameServerApp_omap54xx_smp_OBJECTS) $(NameServerApp_omap54xx_smp_LDADD) $(LIBS)
 NameServerApp_omapl138$(EXEEXT): $(NameServerApp_omapl138_OBJECTS) $(NameServerApp_omapl138_DEPENDENCIES) 
        @rm -f NameServerApp_omapl138$(EXEEXT)
        $(LINK) $(NameServerApp_omapl138_LDFLAGS) $(NameServerApp_omapl138_OBJECTS) $(NameServerApp_omapl138_LDADD) $(LIBS)
index 9f25f91a5cd2c2fc29cc8c7082ed45e2d0f9d4a0..20b753aaec346a6429e13aa58f616c22c9e6d216 100644 (file)
@@ -130,8 +130,8 @@ MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
 OBJEXT = @OBJEXT@
-OMAP4430_FALSE = @OMAP4430_FALSE@
-OMAP4430_TRUE = @OMAP4430_TRUE@
+OMAP54XX_SMP_FALSE = @OMAP54XX_SMP_FALSE@
+OMAP54XX_SMP_TRUE = @OMAP54XX_SMP_TRUE@
 OMAPL138_FALSE = @OMAPL138_FALSE@
 OMAPL138_TRUE = @OMAPL138_TRUE@
 PACKAGE = @PACKAGE@